/* stylelint-disable order/order */
/*
* Converts an pixel value into a rem value.
*
* @param string  $values    the pixel value(s) as a number. Can convert multiple values if values separated by a space.
* @param integer $base      the base pixel value.
*
* @return string   a space-separated string of rem values.
*/
/*
* This is an abbreviated wrapper for the responsive-values function.
*/
/*
* Creates a CSS clamp value that sizes between breakpoints.
*
* @param integer $min                    the minimum pixel value.
* @param integer $max                    the maximum pixel value.
* @param string  $smallest-breakpoint    the name of the smallest breakpoint from the $grid-breakpoints variable.
* @param string  $largest-breakpoint     the name of the largest breakpoint from the $grid-breakpoints variable.
* @param string  $screen                 whether to use a horizontal (width) breakpoint or a vertical (height) breakpoint.
*
* @return string   a CSS clamp property value.
*/
/*
* Outputs a font family value from the $fonts variable.
*
* @param string  $key   the font key.
*
* @return string   a font family value.
*/
/*
* Outputs a color value from the $paints or $additional-paints variables.
*
* @param string  $key   the color name.
*
* @return string   a color value.
*/
/*
* Outputs an effect value from the $effects variable.
*
* @param string  $key   the effect name.
*
* @return string   an effect value.
*/
/* stylelint-enable order/order */
/*
* Used to target heading selectors.
*
* @param integer  $start               the first heading element to target. 1 through 6.
* @param integer  $end                 the last heading element to target. 1 through 6.
* @param string   $beforeCombinator    the CSS combinator to include before the heading classes.
* @param string   $afterCombinator     the CSS combinator to include after the heading classes.
* @param boolean  $includeFontClasses  whether or not to include the .has-t-1... classes or just output the standard heading elements.
*
* @return string  The included CSS wrapped with selectors for the specified headings.
*/
/*
* Used to add properties to a for a pseudo element to make an icon based on the iconfont set.
*
* @param string   $content     the content for the icon. Usually uses one of the iconfont variables.
* @param string   $font-size   the font size with unit.
*
* @return string  The CSS properties for the icon.
*/
/*
* Generates CSS to fit an element into the 12-column grid. Only works when used on an element where the parent element is the width of the entire page.
*
* @return string  CSS properties to set the width of the element to the specified column sizes.
*/
/*
* Used to target elements with a background color that has a text color different from the standard color.
*
* @return string  The included CSS wrapped with selectors for the specified background.
*/
/*
* Used to add the CSS Grid properties for the 12-column grid.
*
* @return string  The CSS Grid properties for the 12-column grid.
*/
/* Quick Positioning */
/****************
 * Fonts
 *
 * The font settings are defined via the gulp figma which task creates variables in the css/__base-includes/figma/_figma-font-styles.scss file based on the Figma file. Additional variables are defined here.
 ****************/
/*
* This array is used to specify the fonts used on the project with the following parameters:
	base - the name for use in the font() mixin.
		css - the output CSS value.
		figma-name: - the 'font-family' name ued in the _figma-font-variable.scss file.
	)
*/
/****************
 * Colors
 *
 * The primary colors are defined via the gulp figma task which creates variables in the css/__base-includes/figma/_figma-color-variables.scss file based on the Figma file. Additional variables are defined here.
 ****************/
/* If additional colors need to be added to the _figma-color-variables.scss, they can be added to this variable: */
/* This variable controls the background colors generated in the ACF background_color field and the background color classes - bg-white, bg-gray-92, etc: */
/* If a background color uses a different font color than the default color, use these variables to specify the alternate colors */
/* Backgrounds specified in this variable will use the alternative text colors: */
/****************
 * Effects
 ****************/
/****************
 * Grid Settings
 ****************/
/****************
 * Block Spacing
 *
 * These variables are based on the "Spacing" rules found in the "Foundations" section in Figma. These control the default spacing between blocks of different colors.
 ****************/
/*
This file can be used for optional additions to the Figma-generated font style mixins in the figma/_figma-font-styles.scss file.

For example, if you want to add styles to the @overline mixin, just create a mixin here called @overline-custom and that CSS will be added to the primary mixin:

@mixin overline-custom() {
	font-weight: 700;
}
*/
.block-trip-type-cards {
  padding: clamp(4.5rem, 0.5rem + 8.3333333333vw, 8rem) 0;
  overflow: hidden;
}
.block-trip-type-cards__container {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  align-items: flex-start;
  margin-bottom: 2.5rem;
}
@media (max-width: 61.98rem) {
  .block-trip-type-cards__container {
    justify-content: flex-start;
  }
}
.block-trip-type-cards__container h2 {
  margin-top: 0 !important;
}
@media (min-width: 62rem) {
  .block-trip-type-cards__container h2 {
    width: 50%;
    max-width: 25.625rem;
    margin-right: auto;
  }
}
@media (min-width: 62rem) {
  .block-trip-type-cards__container h2,
.block-trip-type-cards__container .has-body-1-font-size,
.block-trip-type-cards__container .wp-block-buttons {
    width: 50%;
  }
}
.block-trip-type-cards__container .wp-block-buttons {
  margin-top: 2rem;
}
.block-trip-type-cards__container .has-body-1-font-size {
  margin-bottom: 0;
}

.trip-type-cards__img {
  position: relative;
  width: 100%;
  height: clamp(21.75rem, 9.4642857143rem + 25.5952380952vw, 32.5rem);
  filter: drop-shadow(0 10px 25px rgba(0, 0, 0, 0.25));
}
@media (min-width: 48rem) {
  .trip-type-cards__img {
    width: 100% !important;
  }
}
.trip-type-cards__img::after {
  position: absolute;
  top: auto;
  left: 0;
  bottom: 0;
  right: 0;
  content: "";
  width: 100%;
  height: 50%;
  background: linear-gradient(180deg, #000 0%, rgba(0, 0, 0, 0) 100%);
  transform: rotate(180deg);
  transition: all 300ms ease;
}
.trip-type-cards__slide {
  position: relative;
  width: clamp(12.5rem, 4.4285714286rem + 16.8154761905vw, 19.5625rem) !important;
  height: clamp(21.75rem, 9.4642857143rem + 25.5952380952vw, 32.5rem);
  padding: 0 clamp(0.3125rem, 0.1339285714rem + 0.3720238095vw, 0.46875rem);
  transition: all 300ms ease;
}
.trip-type-cards__slide:hover {
  transform: scale(1.03);
}
.trip-type-cards__slide:hover .trip-type-cards__img::after {
  height: 100%;
  background: linear-gradient(0deg, rgba(0, 0, 0, 0) 58.54%, rgba(0, 0, 0, 0.93) 94.5%);
}
.trip-type-cards__titles {
  position: absolute;
  left: clamp(0.875rem, 1.1428571429rem + -0.2976190476vw, 1rem);
  bottom: clamp(1rem, 0.4285714286rem + 1.1904761905vw, 1.5rem);
  color: #fff;
}
.trip-type-cards__top-title {
  margin-bottom: 0.5rem;
  font-weight: 325;
  font-size: 0.875rem;
  line-height: 1rem;
}
.trip-type-cards__bottom-title {
  font-weight: 400;
  font-size: 2rem;
  font-family: verdigris-mvb-pro-text, sans-serif;
  line-height: 2rem;
}
.trip-type-cards .slick-list {
  overflow: visible;
}
.trip-type-cards__container-fluid {
  position: relative;
  margin: 0 clamp(1.25rem, -1.9642857143rem + 6.6964285714vw, 4.0625rem);
}
.trip-type-cards__container-fluid::before, .trip-type-cards__container-fluid::after {
  position: absolute;
  top: 0;
  bottom: 0;
  content: "";
  z-index: 2;
  width: 100%;
  height: clamp(21.75rem, 9.4642857143rem + 25.5952380952vw, 32.5rem);
  background-color: #fff;
  opacity: 0.5;
}
.trip-type-cards__container-fluid::before {
  left: calc(-100% - clamp(0.3125rem, 0.1339285714rem + 0.3720238095vw, 0.46875rem));
}
@media (max-width: 61.98rem) {
  .trip-type-cards__container-fluid::before {
    display: none;
  }
}
.trip-type-cards__container-fluid::after {
  right: calc(-100% - clamp(0.3125rem, 0.1339285714rem + 0.3720238095vw, 0.46875rem));
}
@media (max-width: 61.98rem) {
  .trip-type-cards__container-fluid::after {
    display: none;
  }
}
.trip-type-cards__slider .swiper-wrapper {
  height: auto;
}
.trip-type-cards .swiper-button-prev {
  left: -1.5rem;
}
.trip-type-cards .swiper-button-next {
  right: -1.5rem;
}
@media (max-width: 767px) {
  .trip-type-cards .swiper-button-next,
.trip-type-cards .swiper-button-prev {
    display: none !important;
  }
}